Subject: bug#52683: 27.2; json-parse-string fails to parse embeded strings

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 21 Dec 2021 05:30:47 +0000

Philipp Stephani <[email-masked]> writes:

> Am Mo., 20. Dez. 2021 um 20:55 Uhr schrieb Thierry Volpiatto
> <[email-masked]>:
>> in a json output, I have a string containing a string like this:
>>
>>     "Cime du Pied de Barry : \\"Arêtissime\\""
>
> This is invalid syntax, it should be
>
> "Cime du Pied de Barry : \"Arêtissime\""
>
>> So I wonder if it is a bug in json-parse-string which fails on such
>> string or in the API of the website itself which should not provide such
>> string in their json output.
>
> It's a bug in the website (or some other step in the process
> incorrectly double-escapes quotation marks).

Thanks, I will report to the website.

> However, the webpage you linked (https://skitour.fr/topos/8583) is
> just HTML, it doesn't contain any JSON AFAICS.

Yes, was just a link to show you what it is about and where it comes from.

-- 
Thierry